# libpysal.graph.read_parquet

libpysal.graph.read_parquet(path, **kwargs)

  Read Graph from a Apache Parquet

  Read Graph serialized using Graph.to_parquet() back into the Graph object. The Parquet file needs to contain adjacency table with a structure required by the Graph constructor and optional metadata with the type of transformation.

  Parameters:
    path `python:str` | `pyarrow.NativeFile` | file-like `object`

      path or any stream supported by pyarrow

    **kwargs

      additional keyword arguments passed to pyarrow.parquet.read_table

  Returns:
    `Graph`

      deserialized Graph

  Examples

      >>> graph.read_parquet("contiguity.parquet")